Skip to content

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

Catalog API provides endpoints to manage your in-game store catalog and process purchases. Use the endpoints to configure virtual items, virtual currencies, game keys, bundles, cart and payment flows, item attributes, and import items from external sources.

Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/catalog/
https://store.xsolla.com/api/
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Get current user's cartClient-side

Request

Returns the current user's cart.

Security
AuthForCart
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
Query
currencystring

The item price currency displayed in the cart. Three-letter currency code per ISO 4217. Check the documentation for detailed information about currencies supported by Xsolla.

Default "USD"
localestring

Response language. Two-letter lowercase language code per ISO 639-1.

Default "en"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/api/catalog/v2/project/44056/cart?currency=USD&locale=en' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The cart with items was successfully returned.

Bodyapplication/json
cart_idstring

Cart ID.

Example: "cart_id"
priceobject or null

Cart price.

Example: {"amount":"6150.0000000000000000","amount_without_discount":"6150.0000000000000000","currency":"USD"}
is_freeboolean(value-cart_is_free)

If true, a cart is free.

Default false
Example: false
itemsArray of objects
promotionsArray of objects(Catalog_cart_promotions)

Applied promotions for the entire cart. The array is returned in the following cases:

  • A promotion affects the total cart amount, such as a promo code with the Discount on purchase setting.

  • A promotion adds bonus items to the cart.

If no order-level promotions are applied, an empty array is returned.

Response
application/json
{ "cart_id": "cart_id", "is_free": false, "items": [ {} ], "price": { "amount": "6150.0000000000000000", "amount_without_discount": "6150.0000000000000000", "currency": "USD" }, "promotions": [ {} ] }

Delete all cart items by cart IDClient-side

Request

Deletes all cart items.

Security
AuthForCart
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
cart_idstringrequired

Cart ID.

Example: custom_id
curl -i -X PUT \
  https://xsolla.redocly.app/_mock/api/catalog/v2/project/44056/cart/custom_id/clear \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The cart was successfully cleared.

Delete all cart items from current cartClient-side

Request

Deletes all cart items.

Security
AuthForCart
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
curl -i -X PUT \
  https://xsolla.redocly.app/_mock/api/catalog/v2/project/44056/cart/clear \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The cart was successfully cleared.

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Catalog

This API allows getting any kind of sellable items or specific item.

Operations
Operations
Operations